#include "tui.h"

/* directions & their keys */
#define NORTH 'i'
#define EAST 'k'
#define SOUTH 'm'
#define WEST 'j'

typedef struct _game_state {
  struct _worm_state {
    char headchar;		/* character for head */
    char tailchar;		/* character for tail of worm */
    Size2 head_pos;		/* position of worm's head */
    char direction;		/* direction of worm's movement */
    bool crashed;		/* if crashed */
    size_t feed;		/* current food level */
    size_t len;			/* of the worm */
    Vec *tail;			/* positions of worm tail */
  } worm;
} game_state;

